
VIRTUAL CREDIT CARD - Bug #15350

Android [TREATS] [Treats Points] The quantity is not show correctly when user click Detail at Add to

Cart screen. Also, after update the quantity in Cart, the quantity doesn't show correctly in Add to Cart

screen

22 December 2022 04:52 PM - hsulynn pang

Status: Closed Start date: 22 December 2022

Priority: Normal Due date:  

Assignee: hsulynn pang % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

user profile: ntbsec03

steps:

(1) login

(2) swipe to the right for Kartu Kredit

(3) select the credit card for TREATS

(4) at the Customer Transaction History screen, click My TREATS

(5) at the My TREATS Rewards screen, click Redeem Reward TREATS

(6) click Points tab

(7) at the Points tab, click Tambah button with adding product

(8) add another Points product by clicking Tambah button

(9) click Add to Cart button

(10) at the cart screen (the screen that have Redeem button at bottom), click Details button #1

(11) update the quantity and click Tambah button

(12) verify the quantity at Add to Cart screen

Actual result:

(1) The quantity is not show correctly when user click Detail at Add to Cart screen.

(2) Also, after update the quantity in Cart, the quantity doesn't show correctly in Add to Cart screen

(3) It will be 0 quantity and TAMBAH button is disabled when user click Detail at Add to Cart screen (This issue is intermittent)

Expected result:

(1) The quantity is show correctly when user click Detail at Add to Cart screen.

(2) Also, after update the quantity in Cart, the quantity show correctly in Add to Cart screen

(3) It will be having quantity and TAMBAH button is enabled when user click Detail at Add to Cart screen

History

#1 - 22 December 2022 05:24 PM - Septi Gizka Tiara

- Status changed from New to In Progress

#2 - 26 December 2022 11:51 PM - Abdul Halim Baharom

- Status changed from In Progress to Resolved

- Assignee changed from Septi Gizka Tiara to Abdul Halim Baharom

#3 - 27 December 2022 09:27 AM - Abdul Halim Baharom

- Assignee changed from Abdul Halim Baharom to hsulynn pang

#4 - 27 December 2022 01:25 PM - hsulynn pang

- File retest (1).mp4 added

- Status changed from Resolved to Closed

tested ok
Files

WhatsApp Video 2022-12-22 at 16.38.49.mp4 4.04 MB 22 December 2022 hsulynn pang

android bug i.mp4 4.73 MB 22 December 2022 hsulynn pang

retest (1).mp4 4.66 MB 27 December 2022 hsulynn pang
